incubator-lucy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marvin Humphrey <mar...@rectangular.com>
Subject Re: [lucy-user] Stable version?
Date Sun, 07 Aug 2011 20:02:42 GMT
On Sat, Aug 06, 2011 at 09:43:18PM +0300, Octavian Rasnita wrote:
> I am researching for finding the best Perl module I can use to create a
> search engine, and for the moment I stopped at KinoSearch which looks nice
> (and in adition I was able to install it under Windows very easy using ppm).
> But I read that that project moved to Apache Lucy.

Use Lucy.

KinoSearch is no longer being developed.  Only old versions of KinoSearch --
the 0.1x line -- are available via PPM, and they contain code 4-5 years behind
Lucy.

Apache Lucy (incubating) version 0.2.0, which is likely to be released 3-4
days from now, addresses numerous portability problems, including several
affecting Windows.  It has been verified to build and test successfully under
ActivePerl, Strawberry Perl and Cygwin.

> So I thought that the best idea would be to also start with Lucy and not
> KinoSearch. On Lucy POD doc I read that for the moment it is unstable, but
> that there will be a Lucy1 stable fork which for the moment doesn't exist
> (and there is no PPM package for it yet and it gives errors when trying to
> install it under Windows using cpan).

Lucy's code base is mature and solid enough to run in production, though as
the documentation says, it is officially API-unstable.

At some point, we plan to release Lucy1 as a stable fork.  IMO, it could
happen at any time, but as of yet no volunteer has stepped forward to do the
work of preparing the fork.

Best,

Marvin Humphrey


Mime
View raw message